# Generated from verbsify-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name verbsify

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Verbs command-line app
License: MIT
URL: https://github.com/thelastinuit/verbsify
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) = 3.5.0
# BuildRequires: rubygem(pry) = 0.10.4
# BuildRequires: rubygem(rubocop) = 0.43.0
# BuildRequires: rubygem(reek) = 4.4.2
# BuildRequires: rubygem(guard-rspec) = 4.7.3
BuildArch: noarch

%description
This is basically Verbs as a command-line app.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/verbsify
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/dev.Dockerfile
%{gem_instdir}/dev.env
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/spec
%{gem_instdir}/verbsify.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.1-1
- Initial package
